package cz.moneta.test.harness.messaging.model;

import java.util.Objects;

public class Topic extends Destination {

    private final String topicName;

    public Topic(String name, String topicName) {
        super(name, "kafka");
        this.topicName = Objects.requireNonNull(topicName, "topicName");
    }

    public String getTopicName() {
        return topicName;
    }
}
